import request from '@/utils/request'
import { encrypt } from '@/utils/rsaEncrypt'

export function add(data) {
  return request({
    url: 'api/users',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/users',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/users',
    method: 'put',
    data
  })
}

export function editUser(data) {
  return request({
    url: 'api/users/center',
    method: 'put',
    data
  })
}

// ÐÞ¸ÄÃÜÂë
export function updatePass(user) {
	const data = {
		oldPass: encrypt(user.oldPass),
		newPass: encrypt(user.newPass)
	}
	return request({
		url: 'api/users/updatePass',
		method: 'post',
		data:data,
	})
}
// ÓÃ»§×¢²á
export function register(user) {
	return request({
		url: 'auth/users/register',
		method: 'POST',
		data:user,
	}).then((res) => {
		return res
	})
}

export function updateEmail(form) {
  const data = {
    password: encrypt(form.pass),
    email: form.email
  }
  return request({
    url: 'api/users/updateEmail/' + form.code,
    method: 'post',
    data
  })
}

export default { add, edit, del }

